package it.unibo.cs.labp.progetto2001.spec;

import java.io.*;

/**
 * E' l'intefaccia comune a tutte le entit del linguaggio.<p/>
 * Le classi del linguaggio devono implementare una delle sotto interfacce
 * definite.
 *
 * @author Riccardo Solmi
 * @version 1.0
 * @see Statement
 * @see Expression
 */

interface LanguageEntity {
    /**
     * Produce una rappresentazione testuale del programma.
     *
     * @param out Lo stream dove mandare l'output. Tipicamente <tt>System.out</tt>.
     */
  public void prettyPrint(PrintStream out);
}